
QGIS Application - Bug report #692

Font rendering problems in the GUI

2007-03-30 03:25 AM - Martin-Weis-newsadress-gmx-de -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 10751

Description

In version 0.9 [HEAD Revision 6845] I found a problem concerning the rendering of fonts. The fonts are scambled in the attribute table

and scale bar. I attached a screeenshot.

If the attributes window is resized, the fonts may appear correctly (on certain scalings) as can be seen in the second screenshot.

This may be due to a wrong font-installation on my system, but I cannot track it down. There is no helpful output on the command line (so

not included).

System: debian etch

Libraries linked:

ldd /usr/local/bin/qgis

        linux-gate.so.1 =>  (0xffffe000)

        libQt3Support.so.4 => /usr/lib/libQt3Support.so.4 (0xb7c71000)

        libQtSvg.so.4 => /usr/lib/libQtSvg.so.4 (0xb7c28000)

        libQtGui.so.4 => /usr/lib/libQtGui.so.4 (0xb7559000)

        libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb7536000)

        libSM.so.6 => /usr/lib/libSM.so.6 (0xb752d000)

        libICE.so.6 => /usr/lib/libICE.so.6 (0xb7515000)

        libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb750d000)

        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb7509000)

        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb7500000)

        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb74fd000)

        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb7493000)

        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb7468000)

        libXext.so.6 => /usr/lib/libXext.so.6 (0xb745a000)

        libX11.so.6 => /usr/lib/libX11.so.6 (0xb736d000)

        libQtXml.so.4 => /usr/lib/libQtXml.so.4 (0xb7329000)

        libQtNetwork.so.4 => /usr/lib/libQtNetwork.so.4 (0xb72cf000)

        libQtCore.so.4 => /usr/lib/libQtCore.so.4 (0xb714f000)

        libz.so.1 => /usr/lib/libz.so.1 (0xb713b000)

        libpthread.so.0 => /lib/tls/i686/cmov/libpthread.so.0 (0xb7129000)

        libdl.so.2 => /lib/tls/i686/cmov/libdl.so.2 (0xb7124000)

        libqgis_core.so => /usr/local/lib/libqgis_core.so (0xb6f3a000)

        libqgis_gui.so => /usr/local/lib/libqgis_gui.so (0xb6eed000)

        libpq.so.4 => /usr/lib/libpq.so.4 (0xb6ed0000)

        libm.so.6 => /lib/tls/i686/cmov/libm.so.6 (0xb6eab000)

        libproj.so.0 => /usr/lib/libproj.so.0 (0xb6e76000)
        libsqlite3.so.0 => /usr/lib/libsqlite3.so.0 (0xb6e1a000)

        libgeos.so.2 => /usr/lib/libgeos.so.2 (0xb6d19000)

        libgdal1.3.2.so.1 => /usr/lib/libgdal1.3.2.so.1 (0xb6895000)

        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb67b0000)

        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb67a5000)

        libc.so.6 => /lib/tls/i686/cmov/libc.so.6 (0xb6674000)

        libQtSql.so.4 => /usr/lib/libQtSql.so.4 (0xb65d4000)

        libmysqlclient_r.so.15 => /usr/lib/libmysqlclient_r.so.15 (0xb63f8000)

        libsqlite.so.0 => /usr/lib/libsqlite.so.0 (0xb63a2000)

        libaudio.so.2 => /usr/lib/libaudio.so.2 (0xb638c000)

        libXt.so.6 => /usr/lib/libXt.so.6 (0xb633d000)

        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb6338000)

        libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0xb62a5000)

        libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb6285000)

        libXau.so.6 => /usr/lib/libXau.so.6 (0xb6282000)

        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb627d000)

        /lib/ld-linux.so.2 (0xb7f7f000)

        libssl.so.0.9.8 => /usr/lib/i686/cmov/libssl.so.0.9.8 (0xb623d000)

        libcrypto.so.0.9.8 => /usr/lib/i686/cmov/libcrypto.so.0.9.8 (0xb6103000)

        libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0xb6087000)

        libcom_err.so.2 => /lib/libcom_err.so.2 (0xb6084000)

        libcrypt.so.1 => /lib/tls/i686/cmov/libcrypt.so.1 (0xb6056000)

        libodbc.so.1 => /usr/lib/libodbc.so.1 (0xb5ff6000)

        libxerces-c.so.27 => /usr/lib/libxerces-c.so.27 (0xb5c16000)

        libjasper-1.701.so.1 => /usr/lib/libjasper-1.701.so.1 (0xb5bc9000)

        libmfhdf.so.4 => /usr/lib/libmfhdf.so.4 (0xb5ba7000)

        libdf.so.4 => /usr/lib/libdf.so.4 (0xb5b08000)

        libungif.so.4 => /usr/lib/libungif.so.4 (0xb5b00000)

        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0xb5adf000)

        libtiff.so.4 => /usr/lib/libtiff.so.4 (0xb5a8b000)

        libnetcdf.so.3 => /usr/lib/libnetcdf.so.3 (0xb5a55000)

        libcfitsio.so.2 => /usr/lib/libcfitsio.so.2 (0xb58e2000)

        librt.so.1 => /lib/tls/i686/cmov/librt.so.1 (0xb58d9000)

        libmysqlclient.so.15 => /usr/lib/libmysqlclient.so.15 (0xb56ff000)

        libnsl.so.1 => /lib/tls/i686/cmov/libnsl.so.1 (0xb56e8000)

        libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0xb56c3000)

        libresolv.so.2 => /lib/tls/i686/cmov/libresolv.so.2 (0xb56b0000)

        libltdl.so.3 => /usr/lib/libltdl.so.3 (0xb56a9000)

        libicuuc.so.36 => /usr/lib/libicuuc.so.36 (0xb558f000)

        libicudata.so.36 => /usr/lib/libicudata.so.36 (0xb4bdf000)

        libkrb5support.so.0 => /usr/lib/libkrb5support.so.0 (0xb4bda000)

History

#1 - 2007-03-30 03:56 AM - Martin-Weis-newsadress-gmx-de -

This problem did not exist in Revision 6800

#2 - 2007-04-27 09:25 PM - Gary Sherman

I have a feeling this is a local font issue. Is there any further information to indicate this is a bug?
#3 - 2007-06-09 12:55 AM - pcavallini -

- Resolution set to wontfix

- Status changed from Open to Closed

Known problem, not specific of qgis, but related to qt. See https://svn.qgis.org/trac/ticket/503

#4 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted
